import type {INumberValueTagStyle} from "@/interface/app/ITagStyle.ts";

export class ConveyPickStandTypeFormatter {

    pickStandType: INumberValueTagStyle[] = [
        {value: 0, label: '箱式线站台', type: 'primary'},
        {value: 1, label: '托盘线站台', type: 'success'},
    ];

    conveyPickStandTypeFormatter(value: any): INumberValueTagStyle {
        const findResult = this.pickStandType.find(f => f.value == value);
        if (findResult) {
            return findResult;
        }
        return {value: value.toString(), label: '？' + value.toString(), type: 'danger'};
    }
}